- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/addDeals#try-it)

Adds a list of deals to a creative, which submits the creative for publisher review. Returns the updated creative.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{name=buyers/*/creatives/*}:addDeals`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the creative to add the deals to. See `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives#Creative.FIELDS.name`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dealIds": [ string ] } ``` |

| Fields ||
|---|---|
| `dealIds[]` | `string` Required. The IDs of the deals to associate with the creative. This can include Programmatic Guaranteed, Private Auction, Preferred Deal, and Marketplace Package deal IDs. You can associate no more than 100 deal IDs per request. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives#Creative`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`